id: d7_node_static
label: Node Static
migration_group: popsu
audit: true
migration_tags:
  - Drupal 7
  - Content
  - Popsu

source:
  plugin: d7_node_static
  batch_size: 500
  # high_water_property:
  #   name: changed
  #   alias: n

destination:
  plugin: entity:node

process:
  # nid: nid
  type:
    plugin: default_value
    default_value: static
  created: created
  changed: changed

  uid:
    plugin: default_value
    default_value: 34

  title: title

  field_textes: field_textes

  field_pieces_jointes:
    plugin: sub_process
    source: field_popsu_pageneutral_insert
    process:
      target_id:
        plugin: migration_lookup
        migration: d7_allpublicfiles
        source: fid
        no_stub: true
      display: display
      description: description

  field_memo: field_memo

migration_dependencies:
  required:
    - d7_allpublicfiles
    - d7_users
    - d7_taxonomy_term_type_theme
